
D4Science Infrastructure - Task #2110

Please provide new VM with Elastic Search

Feb 02, 2016 04:23 PM - Massimiliano Assante

Status: Closed Start date: Feb 02, 2016

Priority: High Due date: Feb 05, 2016

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 5.00 hours

Target version: Development Environment

Enhancements

  

Infrastructure: Development   

Description

A new VM having 4 cores, at least 2GB RAM and 50GB Disk. Elastic Search Version 2.1.1

Ssh access to me and Costantino Perciante

History

#2 - Feb 12, 2016 05:30 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Assignee changed from _InfraScience Systems Engineer to Andrea Dell'Amico

Is elastic0-d-d4s.d4science.org an acceptable hostname?

#3 - Feb 12, 2016 05:39 PM - Massimiliano Assante

yes it is.

#4 - Feb 12, 2016 05:55 PM - Andrea Dell'Amico

The IP address is going to be 146.48.123.142

#5 - Feb 15, 2016 03:44 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

- Estimated time changed from 2.00 h to 5.00 h

The service is up and running, listening on port 9200 (the default).

The configuration is provisioned and overwrites two files:

/etc/default/elasticsearch

/etc/elasticsearch/elasticsearch.yml

 The index files are in /var/lib/elasticsearch and the logs are in /var/log/elasticsearch

#6 - Feb 15, 2016 04:02 PM - Costantino Perciante

- % Done changed from 100 to 0

Can we open the port 9300 too? I need it to contact elasticsearch from java. Thanks

#7 - Feb 15, 2016 04:04 PM - Costantino Perciante

- % Done changed from 0 to 100

#8 - Feb 15, 2016 04:13 PM - Andrea Dell'Amico

Done.

#9 - Feb 29, 2016 06:13 PM - Massimiliano Assante

- Status changed from Feedback to Closed
